Subject: bug#71669: 30.0.50; macOS: `emacs --geometry` flag broken, only `-geometry` works

From: Stefan Kangas <[email-masked]>
Date: Fri, 21 Jun 2024 01:43:09 +0000

Po Lu <[email-masked]> writes:

> Stefan Kangas <[email-masked]> writes:
>
>> Po Lu <[email-masked]> writes:
>>
>>> Where is it documented that `--geometry' should be supported on all
>>> systems?
>>
>> 1. man emacs
>> 2. (info "(emacs) Window Size X")
>
> Surely the name of this node is some indication of its applicability?

It's not very helpful, no.

>> As I explained, it works when I say `-geometry` (one dash), so this
>> feature is already there.  The only issue is that `--geometry` (two
>> dashes) doesn't work.
>
> Yes, because it (the variant with two dashes) is specifically disabled
> for the NS windowing system in common-win.el.

I assume that you mean the part setting `command-line-ns-option-alist`.

Do you agree that this is a bug?